Subject: Re: [Bugme-new] [Bug 14794] New: IP address assigned by DHCP is dropped after ~40 seconds

From: Jarek Poplawski <[email-masked]>
Date: Fri, 18 Dec 2009 21:09:06 +0100

On Fri, Dec 18, 2009 at 05:49:01PM +0100, Németh Márton wrote:
> Németh Márton worte:
> > I use KDE, and the KNetworkManager icon is visible on the task bar. When
> > I unplug the network cable the "disconnected" icon appears. After I plug the
> > network cable again, a rotating wheel appears. Here comes the difference: *when*
> > the rotating wheel changes to "connected" state. One case, when the IP address
> > is kept the "connected" icon appears right after the IP address assigned by
> > DHCP appears in the ifconfig output. In the wrong case this rotating wheel is
> > still there for about 60 seconds while the the assigned IP address is dropped
> > and an IP address like 169.254.123.251 is assigned.
> 
> I would like to add that with 2.6.32 the IP address is dropped even if I exit
> the KNetworkManager before unplugging the network cable.
> 
> I can reproduce the problem without touching the network cable. If I execute
> (I am running Debian 5.0, kernel 2.6.32):
> 
> # /etc/init.d/network-manager stop
> 
> then the network goes down. After this I execute:
> 
> # /etc/init.d/network-manager start
> 
> then the network comes up, the IP address assigned by DHCP appears for about a
> minute then the this IP address is dropped and the address starting with
> 169.254 is assigned.

Hmm... currently I'm out of new (wrong ;-) ideas. It seems there is
some longer break in (mostly multicast) traffic just before releasing
the DHCP address, according to this wireshark dump. Maybe this network
manager tries reloading to fix something? (Isn't there nothing strange
in logs from this network manager, btw?)

You wrote earlier that you can get it working OK with dhclient, so I
wonder if it's not some userspace (KNetworkManager) incompatibility
with the new kernel (I mean if it works OK with basic dhcp tools
started as root). Could you verify that more?

Regards,
Jarek P.